<div class="content-header">
  <div *ngIf="!isApprove">
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.cancel' | translate}}" mbButtonType="NO_BORDER" (click)="onCancel()"
               mbButtonAvailableStyle="BtnCancelHasBorder" [mbIsDisable]="loading">
    </mb-button>
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.saveApprove' | translate}}"
               mbButtonType="NO_BORDER" (click)="saveData()"
               mbButtonAvailableStyle="PRIMARY" [mbIsDisable]="loading">
    </mb-button>
  </div>
  <div class="salary-approve-input" *ngIf="isApprove && !isEdit">
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.approve' | translate}}" (click)="approveSalaryCommit(true)"
               mbButtonType="NO_BORDER"  mbButtonAvailableStyle="BtnCancelHasBorder">
    </mb-button>
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.reject' | translate}}" (click)="approveSalaryCommit(false)"
               mbButtonType="NO_BORDER" mbButtonAvailableStyle='GRAY'>
    </mb-button>
  </div>
</div>
<app-loading *ngIf="loading"></app-loading>
<div class="salary-approve-input" *ngIf="isApprove">
  <mb-input-text [(ngModel)]="description" mbType="default" [mbMaxLength]="4000" [defaultInput]="true" [mbIsTextAre]="true"
                 [mbType]="(isSubmit && !description && !loading) ?  'error' : 'default'"
                 [mbShowError]="isSubmit && !description && !loading"
                 [mbErrors]="{required:true}"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'modelOrganization.validate.reasonReject' | translate }]"
                 mbLabelText="{{ 'polManagement.label.reasonApprove' | translate }}"></mb-input-text>
</div>
<nz-card class="main-card">
  <div>
    <div class="main-card__title">
      <h3><strong>Thông tin nhân viên</strong></h3>
    </div>
    <div nz-row [nzGutter]="24">
      <div nz-col nzSpan="6" *ngIf="!isEdit && !isApprove">
        <hcm-mfe-employee-data-search-policy [mbCanText]="true" [(ngModel)]="employeeId" [ngModelOptions]="{standalone: true}"
                                             [isHideFullName]="true" [selected]="selected" [functionCode]="functionCode"
                                             [multiple]="false" (selectedChange)="onChange($event)"
                                             mbLabelText="{{'polManagement.label.employeeCode' | translate}}">
        </hcm-mfe-employee-data-search-policy>
      </div>
      <div nz-col nzSpan="6" *ngIf="isEdit || isApprove">
        <div class="text-custom">
          <span>{{ 'polManagement.label.employeeCode' | translate }}</span>
        </div>
        <div class="text-display">
          <span>{{paramSearch.employeeCode}}</span>
        </div>
      </div>

      <div nz-col nzSpan="6">
        <div class="text-custom">
          <span>{{ 'polManagement.label.fullName' | translate }}</span>
        </div>
        <div class="text-display">
          <span>{{paramSearch.fullName}}</span>
        </div>
      </div>
      <div nz-col nzSpan="6">
        <div class="text-custom">
          <span>{{ 'polManagement.label.org' | translate }}</span>
        </div>
        <div class="text-display">
          <span>{{paramSearch.orgName}}</span>
        </div>
      </div>
      <div nz-col nzSpan="6">
        <div class="text-custom">
          <span>{{ 'polManagement.label.job' | translate }}</span>
        </div>
        <div class="text-display">
          <span>{{paramSearch.jobName}}</span>
        </div>
      </div>

    </div>
    <div nz-row [nzGutter]="24" class="main-card__row">
      <div nz-col nzSpan="6">
        <div class="text-custom">
          <span>{{ 'polManagement.label.level' | translate }}</span>
        </div>
        <div class="text-display">
          <span>{{paramSearch.level}}</span>
        </div>
      </div>

      <div nz-col nzSpan="6">
        <div class="text-custom">
          <span>{{ 'polManagement.label.position' | translate }}</span>
        </div>
        <div class="text-display">
          <span>{{paramSearch.positionName}}</span>
        </div>
      </div>
      <div nz-col nzSpan="6">
        <div class="text-custom">
          <span>{{ 'polManagement.label.status' | translate }}</span>
        </div>
        <div class="text-display">
          <span>{{findStatus(paramSearch.statusEmployee)}}</span>
        </div>
      </div>
    </div>
  </div>

</nz-card>
<nz-card class="main-card mt-20">
  <div class="main-card__commitment">
    <div class="main-card__title">
      <h3><strong>Thông tin cam kết thu nhập</strong></h3>
    </div>
    <div nz-row [nzGutter]="24">
      <div nz-col nzSpan="6">
        <mb-date-picker mbPlaceholderText="{{'dd/MM/yyyy' | translate}}" [(ngModel)]="salaryForm.fromDate" (ngModelChange)="onChangeDate(true)"
                        [mbType]="isSubmit && (!salaryForm.fromDate || error) ? 'error' : 'default'"
                        [mbShowError]="isSubmit && (!salaryForm.fromDate || error)"
                        [mbErrors]="salaryForm.fromDate ?  {dup:true} : {required: true}"
                        [mbDisabled]="isApprove"
                        [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}, { errorName: 'dup',
            errorDescription: 'polManagement.validate.fromDateInvalid' | translate}]"
                        mbLabelText="{{'Ngày hiệu lực' | translate}} <span class='label__required'>*</span>"
        ></mb-date-picker>
      </div>

      <div nz-col nzSpan="6">
        <mb-date-picker
          mbPlaceholderText="{{'dd/MM/yyyy' | translate}}" [(ngModel)]="salaryForm.toDate" [mbDisabled]="isApprove"
           (ngModelChange)="onChangeDate(false)"
          mbLabelText="{{'Ngày hết hiệu lực' | translate}}" [mbType]="'default'"></mb-date-picker>
      </div>

      <div nz-col nzSpan="6">
          <mb-input-text mbType="default" [mbMaxLength]="150" (keypress)="onKeyPressLCB($event)"
                         (mbBlur)="convertToCur()" (mbFocus)="convertToNumber()"
                         (mbChange)="convertToCur()"
                         mbLabelText="{{ 'Mức cam kết' | translate }} <span class='label__required'>*</span>"
                         [(ngModel)]="salaryForm.commitmentLevel"
                         [mbType]="isSubmit && !salaryForm.commitmentLevel ? 'error' : 'default'"
                         [mbShowError]="isSubmit && !salaryForm.commitmentLevel"
                         [mbDisable]="isApprove"
                         [mbErrors]="{required: true}"
                         [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}]">
          </mb-input-text>
      </div>

      <div nz-col nzSpan="6">
        <div nz-row >
          <div nz-col nzSpan="12">
            <mb-select [mbDisable]="isApprove" [mbDataSelects]="listCurrency" mbKeyLabel="lvaMean" mbKeyValue="lvaValue"
                       mbLabelText="{{ 'polManagement.label.curCode' | translate }}" [mbShowClear]= "false"
                       [(ngModel)]="salaryForm.curCode" [mbType]="'default'">
            </mb-select>
          </div>

          <div nz-col nzSpan="12" class="main-card__commitment--check-box">
            <label nz-checkbox [(ngModel)]="salaryForm.isBonus" [disabled]="isApprove">Có tính thưởng</label>
          </div>
        </div>
      </div>
    </div>

    <div nz-row [nzGutter]="24" class="main-card__row">
      <div nz-col nzSpan="6">
        <app-mb-input-file (clickPreview)="viewFile()" (fileEvent)="selectFile($event)" [fileName]="fileName" [disable]='isApprove'></app-mb-input-file>
      </div>

      <div nz-col nzSpan="6">
        <mb-input-text [(ngModel)]="salaryForm.note" mbType="default" [mbMaxLength]="165" [defaultInput]="true" [mbIsTextAre]="true"  [mbDisable]="isApprove"
                       mbLabelText="{{ 'polManagement.label.note' | translate }}"></mb-input-text>
      </div>
    </div>
  </div>

</nz-card>

<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
          [nzStyle]="{ width: '80vw'}" (nzOnCancel)="handleCancel()">
  <ng-template #modalTitle>
    <span>View File PDF</span>
  </ng-template>
  <ng-template #modalContent>
    <div>
      <pdf-viewer [src]="pdfSrc" [show-all]="true" [fit-to-page]="true" [render-text]="true"
                  [original-size]="true" class="pdf-view"></pdf-viewer>
    </div>
  </ng-template>
  <ng-template #modalFooter>
    <p></p>
  </ng-template>
</nz-modal>
